// Helper function that initializes answer text string.
// Translate alphabetic characters to '_ '

function InitAnswer( cipher )
{
   var result = "";
   cipher = "" + cipher; // whatever cipher is, make it a string
   var len = cipher.length;
   var pos = 0;
   while( pos < len )
   {
      var letter = cipher.substring( pos, pos + 1 );
      if ( (letter >= "A" && letter <= "Z") || (letter >= "a" && letter <= "z")  )
      {
         result = result + "*";
      }
      else
      {
         result = result + letter;
      }
      pos = pos + 1;
   }
   return result;
}

// Helper function to look through word and make character substitutions.
// word is the secret word
// answer is the answer so far

function Substitute( guess, word, answer)
{
   var result = "";
   var len = word.length;
   var pos = 0;
   while( pos < len )
   {
      var word_char  = word.substring( pos, pos + 1 );
      var answer_char = answer.substring( pos, pos + 1 );
      if ( word_char == guess )
         result = result + guess;
      else
         result = result + answer_char;

      pos = pos + 1;
   }
   return result;
}

